nfq_cfg(3)

NAME
nfq_cfg - Config helpers

SYNOPSIS

  Functions

void nfq_nlmsg_cfg_put_cmd (struct nlmsghdr *nlh, uint16_t pf, uint8_t cmd)
void nfq_nlmsg_cfg_put_params (struct nlmsghdr *nlh, uint8_t mode, int range)
void nfq_nlmsg_cfg_put_qmaxlen (struct nlmsghdr *nlh, uint32_t queue_maxlen)

Detailed Description

Function Documentation

  void nfq_nlmsg_cfg_put_cmd (struct nlmsghdr * nlh, uint16_t pf, uint8_t cmd)
nfq_nlmsg_cfg_put_cmd Add netlink config command to netlink message

Parameters
    nlh Pointer to netlink message
    pf Packet family (e.g. AF_INET)
    cmd nfqueue nfnetlink command.

Possible commands are:

•   NFQNL_CFG_CMD_NONE: Do nothing. It can be useful to know if the queue subsystem is working.

•   NFQNL_CFG_CMD_BIND: Binds the program to a specific queue.

•   NFQNL_CFG_CMD_UNBIND: Unbinds the program to a specifiq queue.

Obsolete commands:

•   NFQNL_CFG_CMD_PF_BIND: Binds to process packets belonging to the given protocol family (ie. PF_INET, PF_INET6, etc).

•   NFQNL_CFG_CMD_PF_UNBIND: Unbinds from processing packets belonging to the given protocol family. Both commands are ignored by Linux kernel 3.8 and later versions.

Definition at line 166 of file nlmsg.c.

  void nfq_nlmsg_cfg_put_params (struct nlmsghdr * nlh, uint8_t mode, int range)
nfq_nlmsg_cfg_put_params Add parameter to netlink message

Parameters
    nlh Pointer to netlink message
    mode one of NFQNL_COPY_NONE, NFQNL_COPY_META or NFQNL_COPY_PACKET
    range value of parameter

Definition at line 182 of file nlmsg.c.

  void nfq_nlmsg_cfg_put_qmaxlen (struct nlmsghdr * nlh, uint32_t queue_maxlen)
nfq_nlmsg_cfg_put_qmaxlen Add queue maximum length to netlink message

Parameters
    nlh Pointer to netlink message
    queue_maxlen Maximum queue length

Definition at line 197 of file nlmsg.c.

Author

Generated automatically by Doxygen for libnetfilter_queue from the source code.